# https://github.com/pygobject/pycairo/releases/download/v1.17.0/pycairo-1.17.0.tar.gz
%define module pycairo

Name:           python-cairo
Version:        1.17.0
Release:        %mkrel 1
Summary:        A python wrapper for the Cairo libraries

License:        LGPLv2+ MPL
Group:          Development/Python
URL:            https://github.com/pygobject/pycairo
Source0:        %{module}-%{version}.tar.xz

BuildRequires:	%{_lib}cairo-devel
BuildRequires:  libpthread-stubs
BuildRequires:	python-devel
BuildRequires:  python3-devel
Requires:       cairo >= 1.10.0
Provides:       %{module} = %{version}-%{release}

%description
Aset of Python bindings for the cairo graphics library.

%package devel
Summary:        Development files for %{name}
Group:          Development/Python
Requires:       %{name} = %{version}-%{release}
Provides:       %{module}-devel = %{version}-%{release}

%description devel
Development files for %{name}.

%package -n python3-cairo
Summary:        Python 3 bindings for the cairo library
Group:          Development/Python
Requires:       cairo
Provides:       %{module}3 = %{version}-%{release}

%description -n python3-cairo
Python 3 bindings for the cairo library.

%package -n python3-cairo-devel
Summary:        Libraries and headers for python3-cairo
Group:          Development/Python
Requires:       python3-cairo = %{version}-%{release}
Provides:       %{module}3-devel = %{version}-%{release}

%description -n python3-cairo-devel
Development files for python3-cairo.

%prep
%setup -qn %{module}-%{version}
cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd
%py2_build

%install
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitearch}
popd
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python_sitearch}

%files
%{py_platsitedir}/*

%files devel
%dir %{_includedir}/pycairo
%{_includedir}/pycairo/pycairo.h
%{_libdir}/pkgconfig/pycairo.pc

%files -n python3-cairo
%{py3_platsitedir}/*

%files -n python3-cairo-devel
%dir %{_includedir}/pycairo
%{_includedir}/pycairo/py3cairo.h
%{_libdir}/pkgconfig/py3cairo.pc

%changelog
* Sun Oct 07 2018 adrianomorselli <adrianomorselli> 1.17.0-1uplos2018
- update
